CircuitBreakingException (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.concurrent, class: CircuitBreakingException

Package org.apache.commons.lang3.concurrent

# Class CircuitBreakingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.lang3.concurrent.CircuitBreakingException

All Implemented Interfaces:
  `Serializable`

public class CircuitBreakingException extends RuntimeException
An exception class used for reporting runtime error conditions related to circuit breakers.

Since:
  3.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CircuitBreakingException()`
  Creates a new, uninitialized instance of `CircuitBreakingException`.
  `CircuitBreakingException(String message)`
  Creates a new instance of `CircuitBreakingException` and initializes it with the given message.
  `CircuitBreakingException(String message, Throwable cause)`
  Creates a new instance of `CircuitBreakingException` and initializes it with the given message and cause.
  `CircuitBreakingException(Throwable cause)`
  Creates a new instance of `CircuitBreakingException` and initializes it with the given cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CircuitBreakingException

    public CircuitBreakingException()
    Creates a new, uninitialized instance of `CircuitBreakingException`.

  - ### CircuitBreakingException

    public CircuitBreakingException(String message)
    Creates a new instance of `CircuitBreakingException` and initializes it with the given message.
    Parameters:
      `message` - the error message

  - ### CircuitBreakingException

    public CircuitBreakingException(String message, Throwable cause)
    Creates a new instance of `CircuitBreakingException` and initializes it with the given message and cause.
    Parameters:
      `message` - the error message
      `cause` - the cause of this exception

  - ### CircuitBreakingException

    public CircuitBreakingException(Throwable cause)
    Creates a new instance of `CircuitBreakingException` and initializes it with the given cause.
    Parameters:
      `cause` - the cause of this exception